#include "f2c/fglExt.h"
#include <stdio.h>
#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>

static char *fgl_modname = "runcmd.c";

int fgl_runcmd (fgl_pcnt)
int fgl_pcnt;
{
	short status;
	int status_ptr;

	if (fgl_pcnt != 0) fgl_fatal(fgl_modname, 6, -4501);

    pid_t pid = fork();
    switch(pid) {
    	case -1:                        /* error fork unsucessful */
			status = -1;
        	break;

    	case 0:
			printf("child process\n");
			sleep(2);
			status = -1;
			exit(WEXITSTATUS(status));

    	default:
        	while ( waitpid(pid, &status_ptr, 0) != pid )
            	sleep(1);
        	if(WIFEXITED(status_ptr)){
            	status = (short) WEXITSTATUS(status_ptr);
        	}
        	else {
            	status = 1;
        	}
        	break;
    }

    retshort(status);
    return(1);
}

